%define prefix /usr
%define name update-notifier
%define sleeper update-notifier-launcher
#define library update-notifier-lib
%define launcher unl
%define translation update-notifiers
%define origname Update-Notifier
%define version 1.6.7
%define release %mkrel 1
%define arch noarch
%define PACKAGE %{origname}
%define VERSION %{version}

Name		: %{name}
Summary		: update-notifier is a tool to automatically check for new updates
Summary(de)	: Update-Notifier ist ein Tool zur automatischen Überprüfung auf neue Updates
Summary(it)	: Update-Notifier e una applicazione per controllare gli aggiornamenti
Summary(es)	: Notificador de Actualizaciones es una herramienta para buscar nuevas actualizaciones
#Summary(nl)	: ???
Summary(fr)	: Le Notificateur de Mises Ã  Jour est un logiciel pour rechercher de nouvelles mises Ã  jour
Summary(pl)	: Update-notifier jest  programem do automatycznego sprawdzania nowych aktualizacji

Version		: %{version}
Release		: %{release}
Group		: System/Configuration/Packaging
# URL		: http://www.maik3531.de
# http://www.pclinuxos.com/index.php?option=com_smf&Itemid=26&topic=56896.0

Source		: %{name}-%{version}.tar.xz

License		: GPL v2 or later
Requires	: xterm yad synaptic libnotify
Requires	: gtkdialog
#BuildRequires	:
#Obsoletes	: gnome-%{name}
Provides	: %{name}
Conflicts	: gnome-%{name}

Distribution	: PCLinuxOS
BuildRoot	: %_tmppath/%{name}-%{version}-%{release}
BuildArch	: %{arch}


%description
'Update-Notifier' in the Software Center menu (runs 'unl') provides a small frontend that displays clickable links to the first ten items from the Software & Security Updates section of the PCLinuxOS Form. You can also change the settings, do an update, or run synaptic (if it is not already running). When closed it will run 'update-notifier-launcher' which is the sleep process between updates.

'update-notifier' is a tool to automatically check for new updates. It displays an icon in the system tray with the quantity of updateable packages, or a reason for any failures.  It also provides options to view a list of available packages, and multiple ways to install them.  The user can also easily force an update check from here or the menu at any time.

The installation process will set up the notifier to automatically start at log-in for both the Gnome and KDE desktop environments.  Users of other desktop environments will have to manually start the application or set up auto-start for their environment.

%description -l de
Update-Notifier ist ein Tool zur automatischen Überprüfung auf neue Updates. Es zeigt ein Symbol im Systemtray der Taskleiste welches Sie über die Menge der aktualiesierbaren Pakete informiert, weiterhin bietet es mehrere Möglichkeiten diese zu installieren, erneut nach Aktualiesierungen zu suchen sowie eine Paketliste mit dessen Namen.

Update-Notifier wird bei den Gnome und KDE-Desktop-Umgebungen beim anmelden automatisch gestartet. Benutzer von anderen Desktop-Umgebungen müssen ggf. diese Anwendung manuell starten oder ein Autostart Eintrag erstellen.

%description -l it
Update-Notifier e una applicazione per controllare i aggiornamenti. Mostra una icona nel pannello del sistema, informa su la quantita e i nomi degli aggiornamenti e offre la opzione di installarli.

%description -l es
Notificador de Actualizaciones es una herramienta para buscar nuevas actualizaciones. Muestra un icono en la bandeja de sistema con la cantidad y los nombres de los paquetes actualizables y permite instalarlos.

%description -l nl
Update-Notifier is een tool om automatisch controleren op nieuwe updates. Het toont een pictogram in het systeemvak met de hoeveelheid bijgewerkt pakketten, of een reden voor eventuele tekortkomingen. Het biedt ook opties om een lijst met beschikbare pakketten, en meerdere manieren om ze te installeren. De gebruiker kan ook gemakkelijk dwingen een update vanaf hier of in het menu op elk moment.

%description -l fr
Le Notificateur de Mises à Jour est un logiciel qui recherche de nouvelles mises à jour. Il affiche une icône dans la zone de notification à propos du nombre et des noms des paquets à mettre à jour et propose de les installer.

%description -l pl
Update-notifier jest programem do automatycznego sprawdzania nowych aktualizacji. Pokazuje ikonę w zasobniku systemowym z ilością pakietów do aktualizacji. Przewiduje również opcje, aby wyświetlić listę dostępnych pakietów i wiele sposobów, aby je zainstalować. 

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{sleeper}
#%{_bindir}/%{library}
%{_bindir}/%{launcher}
%{_datadir}/apps/%{name}/*
%{_datadir}/autostart/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_iconsdir}/*
%doc readme copying #history #trans

#_____________________________________________________________________________________________

%prep
rm -rf %{BuildRoot} 
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
%install

install -dm 0755 %{buildroot}%{_bindir}
install -dm 0755 %{buildroot}%{_iconsdir}
install -dm 0755 %{buildroot}%{_datadir}/apps/%{name}

install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_notify.png %{buildroot}%{_iconsdir}/
install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_ok.png %{buildroot}%{_iconsdir}/
install -m 0664 $RPM_BUILD_DIR/%{name}-%{version}/icons/synaptic_unknown.png %{buildroot}%{_iconsdir}/


install -m 0755 %{name} %{launcher} %{sleeper} %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0644 %{translation}.pot %{buildroot}%{_datadir}/apps/%{name}/
install -m 0644 u_n_plos.png %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-running %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-yad %{buildroot}%{_datadir}/apps/%{name}/
#install -m 0755 test-gtkdialog %{buildroot}%{_datadir}/apps/%{name}/

ln -s %{_datadir}/apps/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}
ln -s %{_datadir}/apps/%{name}/%{sleeper} %{buildroot}/%{_bindir}/%{sleeper}
#ln -s %{_datadir}/apps/%{name}/%{library} %{buildroot}/%{_bindir}/%{library}
ln -s %{_datadir}/apps/%{name}/%{launcher} %{buildroot}/%{_bindir}/%{launcher}


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,it,es,nl,fr,pl}/LC_MESSAGES

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/unl.mo $RPM_BUILD_DIR/%{name}-%{version}/po/unl-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/update-notifier.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/update-notifier-launcher.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-launcher-de_DE.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/unl.mo $RPM_BUILD_DIR/%{name}-%{version}/po/unl-fr_FR.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/update-notifier.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-fr_FR.po

msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/update-notifier-launcher.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-launcher-fr_FR.po

msgfmt -o  %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/unl.mo $RPM_BUILD_DIR/%{name}-%{version}/po/unl-pl_PL.po

msgfmt -o  %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/update-notifier.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-pl_PL.po

msgfmt -o  %{buildroot}%{_datadir}/locale/pl/LC_MESSAGES/update-notifier-launcher.mo $RPM_BUILD_DIR/%{name}-%{version}/po/update-notifier-launcher-pl_PL.po


# Autostart
%__install -dm 755 %{buildroot}%{_datadir}/autostart
%__cat > %{buildroot}%{_datadir}/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{origname}
Name[de]=%{origname}
Name[it]=%{origname}
Name[es]=%{origname}
Name[nl]=%{origname}
Name[fr]=%{origname}
Name[pl]=%{origname}
GenericName=%{name}
GenericName[de]=%{name}
GenericName[it]=%{name}
GenericName[es]=%{name}
GenericName[nl]=%{name}
GenericName[fr]=%{name}
GenericName[pl]=%{name}
Comment=Notification of updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
Exec=%{launcher}
Icon=synaptic_ok
Terminal=false
Type=Application
OnlyShowIn=KDE;
X-KDE-StartupNotify=false
X-KDE-autostart-after=panel
X-KDE-autostart-condition=update-notifier:General:Autostart:true
EOF

# Gnome-Autostart
%__install -dm 755 %{buildroot}/etc/xdg/autostart
%__cat > %{buildroot}/etc/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=%{origname}
Exec=%{launcher}
Icon=synaptic_ok
Comment=Notification of updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
X-GNOME-Autostart-enabled=true
EOF

# Menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{origname}
Name[de]=%{origname}
Name[it]=%{origname}
Name[es]=%{origname}
Name[nl]=%{origname}
Name[fr]=%{origname}
Name[pl]=%{origname}
GenericName=%{name}
GenericName[de]=%{name}
GenericName[it]=%{name}
GenericName[es]=%{name}
GenericName[nl]=%{name}
GenericName[fr]=%{name}
GenericName[pl]=%{name}
Comment=Notification of Updates
Comment[de]=Benachrichtigung über Updates
Comment[it]=Notifica degli aggiornamenti
Comment[es]=Demonio de notificación de actualizaciones
Comment[nl]=Kennisgeving van updates
Comment[fr]=Notification des mises à jour
Comment[pl]=Powiadamianie o aktualizacjach
Exec=%{name}
Icon=synaptic_ok
Terminal=false
Type=Application
Categories=PackageManager;System;Application;X-MandrivaLinux-System-Configuration-Packaging;
EOF

# service

# %__cat > %{buildroot}/etc/init.d/%{name} << EOF
# #! /bin/bash
# 
# [ -x /usr/bin/update-notifier-launcher ] || exit 0    					# does the file exists? 
# 
# case "$1" in
#     start)
#         echo $"Starting update-notifier-launcher"
#         su $USER /usr/bin/update-notifier-launcher
#         pidof update-notifier-launcher > /var/run/update-notifier-launcher.pid 		# create pidfile
#         echo $"Done!"
#         ;;
#     stop)
#         echo $"Stopping update-notifier-launcher"
#         killall update-notifier-launcher
#         rm -f /var/run/update-notifier-launcher.pid						# remove pidfile
#         echo $"Done!"
#         ;;
#     restart)
#         $0 stop
#         $0 start
#         ;;  
#     *)
#         echo $"usage:$(basename $0) start | stop | restart"
#         exit 1
#         ;;
# esac
# EOF

# ln -s  %{buildroot}/etc/init.d/%{name} %{buildroot}/etc/rc5.d/S96%{name}

## settings store changed
#%posttrans
#SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
#for idx in $SYSUSERS
#do if [ -e /home/$idx/.update-notifier-launcher/SETTINGS ]; then
#mv /home/$idx/.update-notifier-launcher/SETTINGS /home/$idx/.update-notifier-launcher/SETTINGS.rpmsave
#fi
#done

%post
%update_menus
#/sbin/ldconfig

%postun
%clean_menus
#/sbin/ldconfig

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


#______________________________________________________________________________________________

%changelog
* Sat Mar 13 2021 daniel <> 1.6.7-1pclos2021
- add --icon-size="128"
- bugfix in display kernel update

* Tue Mar 09 2021 daniel <> 1.6.6-1pclos2021
- rebuild with latest yad
- bugfix

* Fri May 08 2020 daniel <meisssw01 at gmail.com> 1.6.5-1pclos2020
- fix bug in settings to display the default valvues
- remove apt-get, only to open synaptic
- clean script

* Mon May 04 2020 daniel <meisssw01 at gmail.com> 1.6.4-1pclos2020
- add pkexec to choosen as default under settings

* Wed Apr 29 2020 daniel <meisssw01 at gmail.com> 1.6.3-1pclos2020
- bugfix in update system function

* Sun Mar 08 2020 daniel <meisssw01 at gmail.com> 1.6.2-1pclos2020
- rebuild for latest gtkdialog
- add kernel status in about window
- add update system function

* Sun Aug 25 2019 daniel <meisssw01 at gmail.com> 1.6.1-1pclos2019
- rebuild with latest yad 

* Mon Jun 18 2018 daniel<meisssw01 at gmail.com> 1.6.0-1pclos2018
- change window resolution on request of
  kikim
- xterm bugfix

* Mon Apr 30 2018 daniel<meisssw01 at gmail.com> 1.5.9-1pclos2018
- bugfix in Polish translation

* Sat Apr 07 2018 daniel <meisssw01 at gmail.com> 1.5.8-1pclos2018
- updated Polish translation by kikim
- rewrite about window, added translators
- fix description reported by tbschommer

* Sun Apr 01 2018 daniel <meisssw01 at gmail.com> 1.5.7-1pclos2018
- rewrite settings store
- add function to display always icon in notification area.
  is set as default in settings dialog.
- set gtksu as default 
- add a link to Software Announcements
- fix bug by only open Synaptic

* Sat Feb 17 2018 daniel <meisssw01 at gmail.com> 1.5.6-1pclos2018
- YAD issues after interval check (2)
- create command to check if setting a update interval, 
  and has it end to run update notifier!
- change launcher in desktop files
- fix kdesu issues
- checking of qt-update-notifier is running!

* Wed Jan 31 2018 daniel <meisssw01 at gmail.com> 1.5.5-1pclos2018
- rebuild german translation 

* Sat Jan 13 2018 daniel <meisssw01 at gmail.com> 1.5.4-1pclos2018
- add function to check for updates of LTS Kernel
- add polnish translation by kikim

* Sun Jan 07 2018 daniel <meisssw01 at gmail.com> 1.5.3-1pclos2018
- bug fix

* Mon Jan 23 2017 daniel <meisssw01 at gmail.com> 1.5.2-1pclos2017
- change messages by held packages, 
  "There are updates available; try synaptic to upgrade your system."

* Tue Oct 29 2013 daniel <meisssw01 at gmail.com> 1.5.1-1free2013
- fix messages by held packages
- change update methode by held packages
- set time to connect repos of true
   now can the user choose a own timestamp

* Mon Jun 03 2013 daniel <meisssw01 at gmail.com> 1.5.0-1free2013
- removed the dead function apt-sources-list
- cleaned the script so far
 
* Tue Apr 23 2013 daniel <meisssw01 at gmail.com> 1.4.9-1pclos2013
- fix dialog on held packages issues
- changes repo for compare apt-sources-list
- add info for repo cennection failed

* Fri Feb 22 2013 daniel <meisssw01 at gmail.com> 1.4.8-1leiche2013
- add read option for current settings
- fix pop-up issues by start
- add dialog to display log file by help packages 

* Tue Feb 12 2013 daniel <meisssw01 at gmail.com> 1.4.7-2leiche2013
- fix two little bugs

* Tue Jan 22 2013 daniel <meisssw01 at gmail.com> 1.4.7-1leiche2013
- fix difference link issues about 32, and 64bit

* Sun Jan 20 2013 daniel <meisssw01 at gmail.com> 1.4.6-1leiche2013
- add update option for apt-sources-list

* Mon Apr 16 2012 leiche <meisssw01 at gmail.com> 1.4.5-2pclos2012
- fixed french translation by turzin

* Thu Apr 12 2012 leiche <meisssw01 at gmail.com> 1.4.5-1pclos2012
- fixed first start issues
- fixed consolehelper issues (maik3531)
- fixed gksu issues
- confirm as stable version

* Mon Apr 09 2012 leiche <meisssw01 at gmail.com> 1.4.4.1-1pclos2012
- fix some bugs
- remove consolehelper, seams not work for everybody
+ add delay function to choose your own time to wait until connect repos

* Fri Apr 06 2012 leiche <meisssw01 at gmail.com> 1.4.4-1pclos2012
- fix exit issues
+ add consolehelper (maik3531)
+ add french language (turzin)
- fix french accent in desktop file (turzin)

* Thu Feb 02 2012 leiche <meisssw01 at gmail.com> 1.4.3-1pclos2012
- 1.4.3
 
* Fri Jul 22 2011 leiche <meisssw01 at aol.com> 1.4.2-3leiche2011
- fix update with synaptic by using gksu
- change some bugs, about translation (note: some description can't
  translation or it will break some commands. It is necessary to use 
  the default language en_EN.)  
 
* Thu Jul 21 2011 leiche <meisssw01 at aol.com> 1.4.2-1leiche2011
- stable release 1.4.2
- fix update with synaptic under kde 

* Sun Jul 17 2011 leiche <meisssw01 at aol.com> 1.4.1Beta-1leiche2011
- fix root privilegs
- fix icon display
- fix next intervall display
- add time for waiting until connect repositories
- fix settings entry days
- add wrapper to checking if Update-Notifier is running


* Wed Jul 13 2011 leiche <meisssw01 at aol.com> 1.3-4leiche2011
- fix about window
- fix german language
- settings

* Mon Jul 11 2011 leiche <meisssw01 at aol.com> 1.3-2pclos2011
- change root privilegs question
- change about window
- add german languages files

* Sun Jul 10 2011 rogaven <rogaven@rogaven.info> 1.3-1pclos2011
+ change from zenity to yad

* Thu Nov 05 2009 travisn000 <travisn000@gmail.com> 1.2-2pclos2010
+ Update for KDE4 compatability; fixed settings dialog (missing icons
  causing dialog failure)
- Now checks for held packages and notifies user to NOT update
- launching synaptic no longer requires / uses kdesu/gksu
- updated .pot files; needs new translations (.po files). 
- activated dependency on gtkdialog (for settings dialog), was commented
  out!? 

* Mon Aug 03 2009 travisn000 <travisn000@gmail.com> 1.2-1pclos2009
+ Added settings dialog to allow disable of pop-up notifications.
- changing update check frequency, and hiding main synaptic window.
- Added additional icon to differentiate manual update checking mode.
- Also now provides list of new packages in the repo since last update check
- Removed out-dated localization files; while awaiting new translations.

* Mon May 11 2009 maik3531 <maik3531@yahoo.de> 1.1-4pclos2009
- update pl and fr.po files

* Sat May 09 2009 maik3531 <maik3531@yahoo.de> 1.1-3pclos2009
- update fr.po files
- fix arepo_domain

* Mon May 03 2009 maik3531 <maik3531@yahoo.de> 1.1-2pclos2009
- add polish *.po files

* Sun May 03 2009 maik3531 <maik3531@yahoo.de> 1.1-1pclos2009
- update to version 1.1 as final no more beta
- fix code and translation
- update po files

* Sat May 02 2009 maik3531 <maik3531@yahoo.de> 1.0-5pclos2009
- Improved with the help of the community
- update po files

* Fri May 01 2009 maik3531 <maik3531@yahoo.de> 1.0-4pclos2009
- Improved with the help of the community 
  http://www.pclinuxos.com/index.php?option=com_smf&Itemid=26&topic=56896.msg458904#msg458904

* Sun Apr 26 2009 maik3531 <maik3531@yahoo.de> 1.0-3pclos2009
- add "No connection to the Internet" popup
- fix code

* Sat Apr 25 2009 maik3531 <maik3531@yahoo.de> 1.0-2pclos2009
- fix translation

* Sat Apr 25 2009 maik3531 <maik3531@yahoo.de> 1.0-1pclos2009
- first build
